﻿// created on 19/05/2003 at 16:58
using System;
using System.Windows.Forms;
using J4L.RBarcode;
using System.Drawing.Printing;

namespace MyForm {
	public class PDF417Form : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label;
		private System.Windows.Forms.Button btnRefresh;
		private System.Windows.Forms.TextBox txtColumns;
		private System.Windows.Forms.TextBox textheightH;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.TextBox txtWidth;
		private System.Windows.Forms.ComboBox cCompaction;
		private System.Windows.Forms.TextBox txtRows;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button btnPrint;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.ComboBox cEC;
		private RPDF417 bc;
		private PrintDocument printDocument1;
		
		public PDF417Form()
		{
			InitializeComponent();
			btnRefreshClick(null,null);
		}
		
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void cCompactionSelectedIndexChanged(object sender, System.EventArgs e)
		{
			
		}
		
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			bc.PDFCode=txtData.Text;
			if (cEC.SelectedIndex>=0) bc.PDFECLevel=cEC.SelectedIndex;
			if (cCompaction.SelectedIndex>=0) bc.PDFMode=(RPDF417.tCompaction) cCompaction.SelectedIndex;
			bc.PDFColumns=Convert.ToInt16(txtColumns.Text);		
			bc.PDFRows=Convert.ToInt16(txtRows.Text);
			bc.PDFBarHeight=Convert.ToInt16(this.textheightH.Text);
			bc.PDFBarWidth=Convert.ToInt16(this.txtWidth.Text);
			bc.Invalidate();
			
		}
		
		void btnSaveClick(object sender, System.EventArgs e)
		{
			btnRefreshClick(sender,e);
			bc.saveToFile("pdf417.gif","GIF");
			MessageBox.Show("Barcode saved to pdf417.gif");
			
		}
		
		void btnPrintClick(object sender, System.EventArgs e)
		{
			printDocument1=new PrintDocument();
			this.printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(this.printDocument1_PrintPage);			
			printDocument1.Print();
		}
		
		void btnExitClick(object sender, System.EventArgs e)
		{
			this.Close();
		}
		
		private void printDocument1_PrintPage(object sender, 
			System.Drawing.Printing.PrintPageEventArgs e)
			{
   				//e.Graphics.FillRectangle(Brushes.Red, 
     			//new Rectangle(500, 500, 500, 500));
				bc.paintBarCode(e.Graphics);
				
			}
		
		
		void InitializeComponent() {
			this.bc = new RPDF417();
			this.cEC = new System.Windows.Forms.ComboBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.btnPrint = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.txtRows = new System.Windows.Forms.TextBox();
			this.cCompaction = new System.Windows.Forms.ComboBox();
			this.txtWidth = new System.Windows.Forms.TextBox();
			this.txtData = new System.Windows.Forms.TextBox();
			this.btnSave = new System.Windows.Forms.Button();
			this.btnExit = new System.Windows.Forms.Button();
			this.textheightH = new System.Windows.Forms.TextBox();
			this.txtColumns = new System.Windows.Forms.TextBox();
			this.btnRefresh = new System.Windows.Forms.Button();
			this.label = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// cEC
			// 
			this.cEC.Items.AddRange(new object[] {
						"0",
						"1",
						"2",
						"3",
						"4",
						"5",
						"6",
						"7",
						"8"});
			this.cEC.Location = new System.Drawing.Point(144, 280);
			this.cEC.Name = "cEC";
			this.cEC.Size = new System.Drawing.Size(112, 21);
			this.cEC.TabIndex = 14;
			this.cEC.Text = "2";
			// 
			// bc
			// 
			this.bc.Location = new System.Drawing.Point(20, 12);
			this.bc.Name = "bc";
			this.bc.Size = new System.Drawing.Size(360, 196);
			this.bc.TabIndex = 36;			
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(200, 344);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(56, 23);
			this.label4.TabIndex = 16;
			this.label4.Text = "Width";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(200, 248);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(56, 23);
			this.label5.TabIndex = 10;
			this.label5.Text = "Rows";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(24, 280);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(120, 23);
			this.label6.TabIndex = 13;
			this.label6.Text = "Error Correction Level";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(24, 344);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(64, 23);
			this.label7.TabIndex = 15;
			this.label7.Text = "Bars Height";
			// 
			// btnPrint
			// 
			this.btnPrint.Location = new System.Drawing.Point(192, 384);
			this.btnPrint.Name = "btnPrint";
			this.btnPrint.TabIndex = 2;
			this.btnPrint.Text = "Print";
			this.btnPrint.Click += new System.EventHandler(this.btnPrintClick);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 312);
			this.label2.Name = "label2";
			this.label2.TabIndex = 6;
			this.label2.Text = "Compaction";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(24, 248);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(56, 23);
			this.label3.TabIndex = 8;
			this.label3.Text = "Columns";
			// 
			// txtRows
			// 
			this.txtRows.Location = new System.Drawing.Point(264, 248);
			this.txtRows.Name = "txtRows";
			this.txtRows.Size = new System.Drawing.Size(96, 20);
			this.txtRows.TabIndex = 12;
			this.txtRows.Text = "0";
			// 
			// cCompaction
			// 
			this.cCompaction.Items.AddRange(new object[] {
						"BINARY",
						"TEXT",
						"NUMERIC"});
			this.cCompaction.Location = new System.Drawing.Point(144, 312);
			this.cCompaction.Name = "cCompaction";
			this.cCompaction.Size = new System.Drawing.Size(112, 21);
			this.cCompaction.TabIndex = 7;
			this.cCompaction.Text = "BINARY";
			this.cCompaction.SelectedIndexChanged += new System.EventHandler(this.cCompactionSelectedIndexChanged);
			// 
			// txtWidth
			// 
			this.txtWidth.Location = new System.Drawing.Point(264, 344);
			this.txtWidth.Name = "txtWidth";
			this.txtWidth.Size = new System.Drawing.Size(96, 20);
			this.txtWidth.TabIndex = 18;
			this.txtWidth.Text = "1";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(88, 216);
			this.txtData.Name = "txtData";
			this.txtData.Size = new System.Drawing.Size(272, 20);
			this.txtData.TabIndex = 5;
			this.txtData.Text = "This is a PDF 417 barcode";
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(112, 384);
			this.btnSave.Name = "btnSave";
			this.btnSave.TabIndex = 1;
			this.btnSave.Text = "Save";
			this.btnSave.Click += new System.EventHandler(this.btnSaveClick);
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(272, 384);
			this.btnExit.Name = "btnExit";
			this.btnExit.TabIndex = 3;
			this.btnExit.Text = "Exit";
			this.btnExit.Click += new System.EventHandler(this.btnExitClick);
			// 
			// textheightH
			// 
			this.textheightH.Location = new System.Drawing.Point(104, 344);
			this.textheightH.Name = "textheightH";
			this.textheightH.Size = new System.Drawing.Size(80, 20);
			this.textheightH.TabIndex = 17;
			this.textheightH.Text = "4";
			// 
			// txtColumns
			// 
			this.txtColumns.Location = new System.Drawing.Point(88, 248);
			this.txtColumns.Name = "txtColumns";
			this.txtColumns.TabIndex = 11;
			this.txtColumns.Text = "5";
			// 
			// btnRefresh
			// 
			this.btnRefresh.Location = new System.Drawing.Point(32, 384);
			this.btnRefresh.Name = "btnRefresh";
			this.btnRefresh.TabIndex = 0;
			this.btnRefresh.Text = "Refresh";
			this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
			// 
			// label
			// 
			this.label.Location = new System.Drawing.Point(24, 216);
			this.label.Name = "label";
			this.label.Size = new System.Drawing.Size(40, 23);
			this.label.TabIndex = 4;
			this.label.Text = "Data";
			// 
			// PDF417Form
			// 
			this.ClientSize = new System.Drawing.Size(384, 414);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
						this.txtWidth,
						this.textheightH,
						this.label4,
						this.label7,
						this.cEC,
						this.label6,
						this.txtRows,
						this.txtColumns,
						this.label5,
						this.label3,
						this.cCompaction,
						this.label2,
						this.txtData,
						this.label,
						this.btnExit,
						this.btnPrint,
						this.btnSave,
						this.bc,
						this.btnRefresh});
			this.Text = "PDF 417 Demo";
			this.ResumeLayout(false);
		}
		
		
	
		
	}
	
	
	
}
